Subject: Re: bug#7362: dd strangeness

From: Paul Eggert <[email-masked]>
Date: Fri, 25 Feb 2011 09:29:24 -0800

On 02/25/2011 04:19 AM, Pádraig Brady wrote:

> Attached is a proposed solution to this.

My kneejerk reaction is that it tries to do too much inferring,
and ends up being more complicated than giving the user more control.

If we're going to change the default to be not compatible with POSIX,
we need to give the user a way to get the POSIX behavior, something
that's less subtle than POSIXLY_CORRECT.  I suggest that we add
a new option that is the inverse of "fullblock".  We can call it
"partblock", say.

Then, we can say that the default is "fullblock" normally, but it is
"partblock" if POSIXLY_CORRECT and if bs= is given and if no conversions
other than sync, noerror, and notrunk are given.

Anyway, I'm just thinking out loud to some extent, and further
comments are welcome.